# optimsimplex_setallfv

Sets all the function values.

## Calling Sequence

                opt = optimsimplex_setallfv(opt, fv)

## Argument

opt

  The current simplex object of TSIMPLEX type (tlist).

simplex

  A row vector of function values.

## Description

The `optimsimplex_setallfv` function sets all the function values of all the vertices. The vertex #k is expected to be stored in fv(k) with k = 1 to nbve.

## Example

                simplex = [
                3. 0. 0.
                4. 1. 0.
                5. 0. 2.
                ];

        s1 = optimsimplex_new ();
        s1 = optimsimplex_setall(s1, simplex);
        res = optimsimplex_getallfv(s1);
        disp(res)
        s1 = optimsimplex_setallfv ( s1 , [1. 2. 3.]' );
        res = optimsimplex_getallfv(s1);
        disp(res)

        s1 = optimsimplex_destroy(s1);

## See Also

- optimsimplex_getallfv
- optimsimplex_getall
- optimsimplex_setall
- optimsimplex_getfv
- optimsimplex_setfv